
Core - Bug # 44540

Status: Resolved Priority: Must have
Author: Roland Waldner Category:
Created: 2013-01-15 Assigned To: Roland Waldner
Updated: 2013-01-25 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: PHP Warning in 6.0.1-dev if there are empty columns in Page Module
Description

PHP Warining in Page Module on current TYPO3 6.0.1-dev, when there are content columns without any content element:

--- quote ---
PHP Warning
PHP Warning: Invalid argument supplied for foreach() in
/srv/www/typo3/typo3_src-6.0.current.git/typo3/sysext/backend/Classes/View/PageLayoutView.php line 444
--- /quote ---

Related issues:
duplicates Core - Bug # 47529: Regression in 4.7.11rc1: Invalid argument supp... Resolved 2013-04-24

Associated revisions
Revision 218072a0 - 2013-01-25 19:03 - Roland Waldner 

[BUGFIX] Avoid PHP Warning if there are empty columns in Page Module

Change-Id: I218065a3445211d88ce131ecf23da3a947eb2e70
Resolves: #44540
Branches: 6.1, 6.0
Reviewed-on: https://review.typo3.org/17562
Reviewed-by: Mattias Nilsson
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

Revision 4dc2bd90 - 2013-01-25 19:35 - Roland Waldner 

[BUGFIX] Avoid PHP Warning  in Page Module

Change-Id: I218065a3445211d88ce131ecf23da3a947eb2e70
Resolves: #44540
Branches: 6.1, 6.0
Reviewed-on: https://review.typo3.org/17562
Reviewed-by: Mattias Nilsson
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer
Reviewed-on: https://review.typo3.org/17712
History
#1 - 2013-01-15 17:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/17547

#2 - 2013-01-15 17:34 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/17547

#3 - 2013-01-15 17:36 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/17547

#4 - 2013-01-16 08:21 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17562

#5 - 2013-01-16 08:23 - Roland Waldner

i am not sure if the PHP "error_reporting" setting is relevant if the warning appears or not. in my case "error_reporting" is set to 22519.

#6 - 2013-01-17 15:18 - Marc Bastian Heinrichs

confirmed

#7 - 2013-01-25 19:29 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/17712

#8 - 2013-01-25 19:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:218072a0661eed2be625037519b3fd9580caa467.

#9 - 2013-01-25 19:34 - Gerrit Code Review
- Status changed from Resolved to Under Review
Patch set 2 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/17712

#10 - 2013-01-25 19:34 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/17712

#11 - 2013-01-25 20:30 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:4dc2bd908ac9eb859bdc1f6f8db72938eb94e6ca.
